import i18n from "i18next";
import en from "./en";
import ar from "./ar";
import store from "../redux";

const resources = {
  en: {
    translation: en,
  },
  ar: {
    translation: ar,
  },
};

let lastIsRTL = true

i18n.init({
  resources,
  lng: "ar",
  keySeparator: false,
  interpolation: {
    escapeValue: false,
  },
});

export const getTranslation = (label, isRTL = lastIsRTL, options = {}) => {
  console.log("lastIsRTL B",lastIsRTL)
  lastIsRTL = isRTL;
  console.log("lastIsRTL A",lastIsRTL)

  console.log("isRTL",isRTL)
  return i18n.t(label, { lng: isRTL ? "ar" : "en", ...options });
};

export const setIsRTL = (newIsRTL)=>{
  console.log("insidesetisrtl  new",newIsRTL,"old",lastIsRTL)
  lastIsRTL = newIsRTL
  console.log("insidesetisrtlafter  new",newIsRTL,"old",lastIsRTL)

  // getTranslation("new",lastIsRTL)
  
}

export default i18n;
