export const MAIN_MENU_KEY = "mainMenu";
export const FAVORITE_KEY = "FavoriteItems";

export const getMainMenu = (currentUser) => {
  if (!currentUser) return null;
  const mainMenu = localStorage.getItem(`${MAIN_MENU_KEY}.${currentUser.username}`);
  if (!mainMenu) return [];
  return JSON.parse(mainMenu);
};

export const setMainMenu = (currentUser, mainMenu) => {
  if (!currentUser) return;
  localStorage.setItem(`${MAIN_MENU_KEY}.${currentUser.username}`, JSON.stringify(mainMenu));
};

export const getFavoriteItems = (currentUser) => {
  if (!currentUser) return null;
  const favorite = localStorage.getItem(`${FAVORITE_KEY}.${currentUser.username}`);
  if (!favorite) return [];
  return JSON.parse(favorite);
};

export const setFavoriteItems = (currentUser, favorite) => {
  if (!currentUser) return;
  if (Array.isArray(favorite)) {
    localStorage.setItem(`${FAVORITE_KEY}.${currentUser.username}`, JSON.stringify(favorite));
  }
};
